# Class Static

Object
Static

Direct Known Subclasses:
  `AffineTransforms2D`, `ArgumentChecks`, `ArraysExt`, `Characters`, `CharSequences`, `Citations`, `Classes`, `Containers`, `CoordinateSystems`, `CRS`, `DataStores`, `DatumOrEnsemble`, `DecimalFunctions`, `Envelopes`, `Exceptions`, `Extents`, `FeatureOperations`, `Features`, `FrenchProfile`, `IdentifiedObjects`, `IO`, `JapaneseProfile`, `Locales`, `Logging`, `MathFunctions`, `MathTransforms`, `Matrices`, `Names`, `Namespaces`, `Numbers`, `ObjectConverters`, `PixelTranslation`, `Quantities`, `Shapes2D`, `SIS`, `StringBuilders`, `TreeTables`, `Types`, `Units`, `Utilities`, `XML`

@Deprecated(since="1.5", forRemoval=true) public class Static extends Object
Deprecated, for removal: This API element is subject to removal in a future version.
Unnecessary.
Parent of SIS classes that contain only static utility methods. This parent class is used for documentation purpose only. The list below summarizes some of the utility classes:

Static utility classes (non exhaustive list)
OGC/ISO objects (metadata, referencing, geometries)
`Citations` | Predefined `Citation` and methods for comparing against titles or identifiers.
`CoordinateSystems` | Parses axis names and creates transforms between `CoordinateSystem` instances.
`CRS` | Instantiates or provides information about `CoordinateReferenceSystem`.
`Envelopes` | Parse, format and transform `Envelope` objects.
`Extents` | Extract information from `Extent` objects.
`IdentifiedObjects` | Handle names, identifiers or properties of `IdentifiedObject` instances.
`Names` | Simple creation and operations on `GenericName` objects.
`Parameters` | Creates, searches or modifies `ParameterValue` instances in a group of parameters.
`Types` | UML identifier and description for GeoAPI types.
Mathematics and units of measurement
`DecimalFunctions` | Mathematical methods related to base 10 representation of numbers.
`MathFunctions` | Additions to the `Math` methods.
`Matrices` | Create and compare `Matrix` objects
`Quantities` | Operations on quantities (values with units of measurement).
`Units` | Get a unit from a symbol or EPSG code, and test if a unit is angular, linear or temporal.
Input / Output (including CRS, XML, images)
`DataStores` | Read or write geospatial data in various backends.
`IO` | Methods working on `Appendable` instances.
`Namespaces` | `String` constants for commonly used namespaces.
`XML` | Marshal or unmarshal ISO 19115 objects.
Miscellaneous utilities
`ArraysExt` | Additions to the JDK `Arrays` methods (include insert or remove of elements in the middle of arrays).
`Characters` | Find subscript and superscript digit characters.
`CharSequences` | Methods working on `CharSequence` or `String` instances.
`Classes` | Methods working with `Class` instances.
`Containers` | Additions to the JDK `Collections` methods, also related to the `CheckedContainer` interface.
`Numbers` | Methods working with `Number` instances (include conversions between different types).
`ObjectConverters` | Create `ObjectConverter` instances, or collection views using object converters.
`StringBuilders` | Methods modifying `StringBuilder` content in-place.
Loggings and exceptions
`ArgumentChecks` | Perform argument checks and throw `IllegalArgumentException` if needed.
`Exceptions` | Format a stack trace summary or change the exception message.
`Logging` | Get a JDK logger, which may be a wrapper around the Apache Commons Logging or Log4J framework.

Since:
  0.3

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Static()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  For subclasses only.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Static

    protected Static()
    Deprecated, for removal: This API element is subject to removal in a future version.
    For subclasses only. Subclasses shall declare a private constructor for preventing instantiation.